gst-plugins-dsp0.10 (1.11.36~diablo2) unstable; urgency=low

  * Fixed iLBC source mode setting. Fixes: NB#80740

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 15 Feb 2008 09:36:01 +0200

gst-plugins-dsp0.10 (1.11.36~diablo) unstable; urgency=low

  * Fix resuming suspended playback with some mp3 files, Fixes:NB#78567

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 29 Jan 2008 15:38:22 +0200

gst-plugins-dsp0.10 (1.11.36~chinook) unstable; urgency=low

  * PCM sink gives error if samplerate > 48000Hz. Fixes: NB#70881

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  5 Nov 2007 15:57:18 +0200

gst-plugins-dsp0.10 (1.11.35~chinook) unstable; urgency=low

  * Implemented proper _unlock() / _unlock_stop() handling
    in VoIP plugins. Fixes: NB#72461

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  1 Nov 2007 16:30:26 +0200

gst-plugins-dsp0.10 (1.11.34~chinook) unstable; urgency=low

  * Fix deadlock when resetting node in _read_cmd, Fixes: NB#73056,74052,74290

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  1 Nov 2007 15:21:38 +0200

gst-plugins-dsp0.10 (1.11.33~chinook) unstable; urgency=low

  * Fix closing dsp node when dsp error occurs, Fixes: NB#73422

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 29 Oct 2007 12:18:00 +0200

gst-plugins-dsp0.10 (1.11.32) unstable; urgency=low

  * Dspaudio is not a plugin. Should make lintian happy. 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 27 Sep 2007 14:16:04 +0300

gst-plugins-dsp0.10 (1.11.31) unstable; urgency=low

  * Rework the Makefile.am. 

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 26 Sep 2007 17:24:55 +0300

gst-plugins-dsp0.10 (1.11.30) unstable; urgency=low

  * Correctly initialize DSP in dsppcmsource. Fixes: NB#70853 

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 25 Sep 2007 12:58:16 +0300

gst-plugins-dsp0.10 (1.11.29) unstable; urgency=low

  * Retry to open DSP node if open() returns -EAGAIN.
    Partially fixes 68385

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 24 Sep 2007 13:30:43 +0300

gst-plugins-dsp0.10 (1.11.28) unstable; urgency=low

  * Fixed format mapping bug. Fixes: NB#70563

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 24 Sep 2007 12:21:38 +0300

gst-plugins-dsp0.10 (1.11.27) unstable; urgency=low

  * Removed the clock "jitter" fix
  * Now AAC sink answers to POSITION queries by itself. Fixes: NB#63166
  * Applied a patch that enables dummy DSP plugins for x86.

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 20 Sep 2007 12:27:13 +0300

gst-plugins-dsp0.10 (1.11.26) unstable; urgency=low

  * Use frame boundary found by preroll in render(). Fixes: NB#66298

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 21 Aug 2007 13:38:17 +0300

gst-plugins-dsp0.10 (1.11.25) unstable; urgency=low

  * Removed some properties from src elements. Fixes: NB#63484
  * Fixed position query (in MP3) when neighbor element knows the position.
  * Minor cleanups

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 15 Aug 2007 12:57:16 +0300

gst-plugins-dsp0.10 (1.11.24) unstable; urgency=low

  * Enable PLAYING->PAUSED->PLAYING state changes in src elements.
    Fixes: NB#62868

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 15 Aug 2007 10:47:54 +0300

gst-plugins-dsp0.10 (1.11.23) unstable; urgency=low

  * Changed render interruption mechanism. Fixes: NB#65067

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 15 Aug 2007 10:33:20 +0300

gst-plugins-dsp0.10 (1.11.22) unstable; urgency=low

  * Changed discont behavior.

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 14 Aug 2007 13:42:54 +0300

gst-plugins-dsp0.10 (1.11.21) unstable; urgency=low

  * Reverted back earlier ilbc modification.

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 13 Aug 2007 15:48:26 +0300

gst-plugins-dsp0.10 (1.11.20) unstable; urgency=low

  * Make sure eof reply from dsp is not ignored, Fixes: NB#64037 

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 10 Aug 2007 15:00:53 +0300

gst-plugins-dsp0.10 (1.11.19) unstable; urgency=low

  * Fixed ILBC upstream caps negotiation. Fixes: NB#65317

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  9 Aug 2007 13:33:56 +0300

gst-plugins-dsp0.10 (1.11.18) unstable; urgency=low

  * Changed DSP plugins to work properly with new glibc, GStreamer and NPTL
  * Added mechanism to "borrow" mutex from main render thread
  * Changed state change mechanism (now uses _wait_preroll() in render
    function)
  * Removed all mutex handling from elements and hided it to dspaudio lib
  * Removed stream id signaling and property (not needed)
  * Removed VoIP functionality from PCM sinks (VoIP uses G711 elements now)
  * Code re-structuring here and there
  * Cleanups everywhere

 -- Stefan Kost <stefan.kost@nokia.com>  Wed,  8 Aug 2007 13:23:17 +0300

gst-plugins-dsp0.10 (1.11.17) unstable; urgency=low

  * More fixes to make plugins work smoothly with glibc2.5
  * Minor code cleanups and restructuring

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  2 Aug 2007 10:36:51 +0300

gst-plugins-dsp0.10 (1.11.16) unstable; urgency=low

  * Removed unnecessary g_mutex_unlock() since new glibc2.5
    does not seem to like it. Fixes: NB#61167

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 31 Jul 2007 14:24:28 +0300

gst-plugins-dsp0.10 (1.11.15) unstable; urgency=low

  * Now AAC and PCM sinks take latency into account during startup.
    Fixes: NB#63835

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 25 Jul 2007 17:06:44 +0300

gst-plugins-dsp0.10 (1.11.14) unstable; urgency=low

  * PCM sink corrects its clock time during startup. Fixes AV sync
    with certain WM clips.

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 18 Jul 2007 12:06:59 +0300

gst-plugins-dsp0.10 (1.11.13) unstable; urgency=low

  * Added latency query support for audio sinks (AAC,AMR,MP3,PCM)

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 16 Jul 2007 16:05:02 +0300

gst-plugins-dsp0.10 (1.11.12) unstable; urgency=low

  * Remove framed from dspaacsink caps template

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 20 Jun 2007 10:26:24 +0300

gst-plugins-dsp0.10 (1.11.11) unstable; urgency=low

  * Update amrsink to support mp4demux caps

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 19 Jun 2007 18:11:01 +0300

gst-plugins-dsp0.10 (1.11.10) unstable; urgency=low

  * M4a seeking fix
  * Amr playback fix
  * G.729 src sends only every 5th duplicate CN frame
  * G.729 sink ignores all CN frames 
  * Fix to aac object type error handling 

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 19 Jun 2007 17:09:11 +0300

gst-plugins-dsp0.10 (1.11.9) unstable; urgency=low

  * AAC: - Improved EOS and SEEK handling
         - Changed sink caps: "rate_index" -> "rate"
         - Changed initialization mechanism little bit
         - Don't send discont if EOF command is sent to DSP
         - Temporary fix to support also object_type = 2
  * ILBC: Removed "rate" and "channels" fields from sink template caps
  * dspaudio: Return FALSE if dtmf-event was not handled (out-band DTMF)
  * G.729: - Fixed bitstream -> parametric conversion
           - Optimization: send multiple frames to DSP at once
           - Detect consecutive CN frames with identical content
  * PCM: - Don't send DISCONT after EOF
         - Allow SEEKing after EOF (enables looping)

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  7 Jun 2007 14:13:29 +0300

gst-plugins-dsp0.10 (1.11.8) unstable; urgency=low

  * Added "method" checking mechanism for handling dtmf-events
  * Improvements in SEEKing. Now mp3 sink can seek even EOS is received.

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 23 May 2007 10:05:27 +0300

gst-plugins-dsp0.10 (1.11.7) unstable; urgency=low

  * Updated DTMF mapping table in src elements
  * Fixed bit-packing and endianness problems in src elements
  * Source elements provide CN frames via separate pads
  * CN frames contain only the "level" value now
  * G.729 sink implementation according to RFC 3551
  * MP3 EOS handling improvements

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 15 May 2007 08:45:48 +0300

gst-plugins-dsp0.10 (1.11.6) unstable; urgency=low

  * Added async_play handlers for pcm & aac, Fixes: NB#55572, NB#55898
  * Parametric<->bitstream conversion modification

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 10 May 2007 16:01:21 +0300

gst-plugins-dsp0.10 (1.11.5) unstable; urgency=low

  * Add COPYING file

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  7 May 2007 14:59:07 +0300

gst-plugins-dsp0.10 (1.11.4) unstable; urgency=low

  * Depends and dsp*-RX-44 over dsp*-RX-34

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed,  2 May 2007 17:07:42 +0300

gst-plugins-dsp0.10 (1.11.3) unstable; urgency=low

  * Now src elements increase timestamps also for silence. Fixes: NB#54467
  * Fixed possible issue with mmap index when writing data
  * Small code cleanups (replaced some static vars with defines)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 18 Apr 2007 09:54:12 +0300

gst-plugins-dsp0.10 (1.11.2) unstable; urgency=low

  * Added parametric <-> bitstream conversion in G.729
  * Separated G.711 into its own plugin
  * Improved silence handling mechanism in source elements. Fixes: NB#53894
  * Removed GstAdapter in iLBC and G729 sink elements
  * Changed DTX mode to "off" by default in all source elements
  * Minor code cleanups

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 11 Apr 2007 13:50:55 +0200

gst-plugins-dsp0.10 (1.11.1) unstable; urgency=low

  * New version for OSSO 1.1

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  1 Mar 2007 09:09:53 +0200

gst-plugins-dsp0.10 (0.63-1) unstable; urgency=low

  * Improved audio clock handling. Fixes: NB#48133

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 29 Nov 2006 10:07:45 +0200

gst-plugins-dsp0.10 (0.62-1) unstable; urgency=low

  * Audio clock fix, partially fixes NB#46549. 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 17 Nov 2006 15:06:18 +0200

gst-plugins-dsp0.10 (0.61-1) unstable; urgency=low

  * Added checking for unsupported samplerate in AAC. Fixes: NB#42672
  * Fixed a deadlock situation in AAC. Fixes: NB#46353

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  9 Nov 2006 17:07:30 +0200

gst-plugins-dsp0.10 (0.60-1) unstable; urgency=low

  * Removed system D-BUS connection closing. Fixes: NB#45781
  * Fixed possible deadlock situation. Fixes: NB#46331
  * Improved clock handling mechanism.
  * Error handling fixes.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  2 Nov 2006 16:46:28 +0200

gst-plugins-dsp0.10 (0.59-1) unstable; urgency=low

  * Fixed a state change latency issue with low-bitrate clips.
  * Modified seeking functionality. Fixes: NB#35274, NB#43223
  * Added "application/x-id3" sink caps. Fixes: NB#40612
  * Updated state change logic in EOS mode. Fixes: NB#43829
  * Mic power management D-BUS calls added
  * Code cleanups
  * Fixes: NB#43277

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 19 Oct 2006 14:29:40 +0300

gst-plugins-dsp0.10 (0.58-1) unstable; urgency=low

  * Fixed bug in MP3 _setcaps(). Fixes: NB#42632 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 10 Oct 2006 10:07:54 +0300

gst-plugins-dsp0.10 (0.57-1) unstable; urgency=low

  * Changed clocking mechanism, Fixes: NB#39091
  * Optimized AAC and MP3 startup
  * Removed unneeded plugins (G.729, MPEG4, FB)
  * Code cleanups

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  4 Oct 2006 16:28:55 +0300

gst-plugins-dsp0.10 (0.56-1) unstable; urgency=low

  * Seeking fix in dspamr and dspmp3
  * Makefile recursion fix

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 21 Sep 2006 15:44:56 +0300

gst-plugins-dsp0.10 (0.55-1) unstable; urgency=low

  * Fixed a race condition in AMR sink 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  7 Sep 2006 12:13:52 +0300

gst-plugins-dsp0.10 (0.54-1) unstable; urgency=low

  * Clocking changes
  * Fixes: NB#38510

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 31 Aug 2006 12:45:48 +0300

gst-plugins-dsp0.10 (0.53-1) unstable; urgency=low

  * Clocking-related changes
  * Fixes: NB#32251,NB#37108,NB#37895

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 23 Aug 2006 17:27:53 +0300

gst-plugins-dsp0.10 (0.52-1) unstable; urgency=low

  * Applied bugfixes from the older branch
  * Fixes: NB#32330

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 19 Jul 2006 12:05:44 +0300

gst-plugins-dsp0.10 (0.51-5) unstable; urgency=low

  * Updated build dependencies

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 20 Jun 2006 19:17:52 +0300

gst-plugins-dsp0.10 (0.51-4) unstable; urgency=low

  * Updated build dependencies

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 20 Jun 2006 17:33:51 +0300

gst-plugins-dsp0.10 (0.51-3) unstable; urgency=low

  * Changed configure.in. Fixes: NB#33127

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 20 Jun 2006 17:25:40 +0300

gst-plugins-dsp0.10 (0.51-2) unstable; urgency=low

  * Changed build-deps to require osso-dsp-headers-rx-34 >= 2006.22.1

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 31 May 2006 11:42:02 +0300

gst-plugins-dsp0.10 (0.51-1) unstable; urgency=low

  * Exporting timing information on dsp audio sinks to provide A/V sync

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 29 May 2006 17:53:34 +0300

gst-plugins-dsp0.10 (0.50-1) unstable; urgency=low

  * New branch
  * Temporary fix for bug 28337

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 29 May 2006 11:59:01 +0300

gst-plugins-dsp0.10 (0.26-1) unstable; urgency=low

  * Fixed bug 23277 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 19 May 2006 13:28:54 +0300

gst-plugins-dsp0.10 (0.25-2) unstable; urgency=low

  * Changed architecture to "arm armel" 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 17 May 2006 17:05:29 +0300

gst-plugins-dsp0.10 (0.25-1) unstable; urgency=low

  * Fixed bug 26038

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 17 May 2006 12:45:40 +0300

gst-plugins-dsp0.10 (0.24-1) unstable; urgency=low

  * Dspfb frame drop fix 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 12 May 2006 14:42:00 +0300

gst-plugins-dsp0.10 (0.23-1) unstable; urgency=low

  * Timestamp fix (bug 29349)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 12 May 2006 13:56:08 +0300

gst-plugins-dsp0.10 (0.22-1) unstable; urgency=low

  * Partial fix for bug 28561
  * Updates to iLBC plugin

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  9 May 2006 15:34:55 +0300

gst-plugins-dsp0.10 (0.21-1) unstable; urgency=low

  * Fixed bugs 25068 and 25149

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri,  5 May 2006 14:03:03 +0300

gst-plugins-dsp0.10 (0.20-1) unstable; urgency=low

  * Fixed bug 24233

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  3 May 2006 10:58:23 +0300

gst-plugins-dsp0.10 (0.19-1) unstable; urgency=low

  * Fixed bugs 25026 and 26147 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 28 Apr 2006 12:24:03 +0300

gst-plugins-dsp0.10 (0.18-1) unstable; urgency=low

  * Fixed bugs 25510 and 26066 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 27 Apr 2006 14:38:56 +0300

gst-plugins-dsp0.10 (0.17-1) unstable; urgency=low

  * Partially fixes bugs 23931 and 23934 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 25 Apr 2006 17:24:07 +0300

gst-plugins-dsp0.10 (0.16-1) unstable; urgency=low

  * Fixed bugs 25044, 24726, 25648 and 26263 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 24 Apr 2006 14:18:24 +0300

gst-plugins-dsp0.10 (0.15-1) unstable; urgency=low

  * Fixed bugs 25350 and 23116

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 18 Apr 2006 14:19:20 +0300

gst-plugins-dsp0.10 (0.14-2) unstable; urgency=low

  * Increased the version because of FBsink update

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 12 Apr 2006 17:24:55 +0300

gst-plugins-dsp0.10 (0.14-1) unstable; urgency=low

  * Optimized FBSink
  * PCM DISCONT functionality added
  * AAC playback starting fixed
  * MPEG1 playback speed optimization (FBSink)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 12 Apr 2006 17:20:58 +0300

gst-plugins-dsp0.10 (0.13-1) unstable; urgency=low

  * FB plugin bugfixes
  * AMR length calculation fixes
  * iLBC & PCM MUTE fixes

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  5 Apr 2006 17:10:36 +0300

gst-plugins-dsp0.10 (0.12-1) unstable; urgency=low

  * New upstream release
  * DTX mode in iLBC and G.711
  * Fixed MP2 length calculation for VBR files

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 29 Mar 2006 16:37:24 +0300

gst-plugins-dsp0.10 (0.11-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 23 Mar 2006 18:12:25 +0200

gst-plugins-dsp0.10 (0.10-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 16 Mar 2006 18:16:30 +0200

gst-plugins-dsp0.10 (0.9-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  9 Mar 2006 15:56:10 +0200

gst-plugins-dsp0.10 (0.8-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  2 Mar 2006 17:42:32 +0200

gst-plugins-dsp0.10 (0.7-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 24 Feb 2006 09:25:52 +0200

gst-plugins-dsp0.10 (0.6-1) unstable; urgency=low

  * Updated release built against GStreamer 0.10.3.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 17 Feb 2006 09:17:06 +0200

